Full name: projects.locations.instances.features.disable
Disables a specific Feature.
HTTP request
POST https://{endpoint}/v1alpha/{name}:disable
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the Feature to disable. Format: projects/{project}/locations/{location}/instances/{instance}/features/{feature} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "feedback": string } |
| Fields | |
|---|---|
feedback |
Required. Feedback provided by the user explaining why the feature is being disabled. This will be mandatory if the customer wishes to disable a feature. |
Response body
If successful, the response body contains an instance of Feature.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
chronicle.features.disable
For more information, see the IAM documentation.